Bug 13000 - MBR overwritten without any checks
MBR overwritten without any checks
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: anaconda (Show other bugs)
7.1
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Michael Fulbright
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2000-06-24 17:08 EDT by Michal Jaegermann
Modified: 2008-05-01 11:37 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-07-14 16:52:51 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Michal Jaegermann 2000-06-24 17:08:12 EDT
While installing a new test installation on /dev/hdc installer went
and overwrote MBR on /dev/hda without asking me any questions or
giving me an opportunity to prevent that action.  In this particular
case this destroyed a GRUB boot sector which was used by something
else.  Even if *I* know how to revert such pig-headness first time
users may get into a sheer panic mode after that experience; especially
if the other system happened to be NT or W2K and they will find out
that they are unable to boot even from a floppy.

My past "real-life" experience with situations of that sort is that
the first reaction was to reformat Linux partition and think and ask
questions later; thus making a recovery quite difficult.  One is
not winning Linux friends that way either.

  Michal
  michal@harddata.com
Comment 1 Erik Troan 2000-07-14 16:52:43 EDT
Workstation and Server installs have done this for ages as it avoids a question
that new users don't understand (how to install lilo). For most users, this is
the right thing to do. If you're advanced enough for this to be the wrong thing
to do, you should know how to avoid it. (exper install or custom install)

Note You need to log in before you can comment on or make changes to this bug.